Debian Bug report logs - #622324
RFP: jlm -- Learning Management System for the Java programming language

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Quinson <mquinson@debian.org>

Date: Tue, 12 Apr 2011 07:03:02 UTC

Severity: wishlist

Tags: pending

Fix blocked by 640873: RFP: libsmack-java -- Easy to use Java XMPP client library, 368931: RFP: libjung-java -- Java Universal Network/Graph Framework

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#622324; Package wnpp. (Tue, 12 Apr 2011 07:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Quinson <mquinson@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 12 Apr 2011 07:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Quinson <mquinson@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: jlm -- Learning Management System for the Java programming language
Date: Tue, 12 Apr 2011 08:58:15 +0200
Package: wnpp
Severity: wishlist
Owner: Martin Quinson <mquinson@debian.org>


* Package name    : jlm
  Version         : 1.110411
  Upstream Author : Martin.quinson@loria.fr
* URL             : http://www.loria.fr/~quinson/Teaching/JLM/
* License         : GPL
  Programming Lang: Java
  Description     : Learning Management System for the Java programming language

The Java Learning Machine (JLM) is a free platform to teach
programming in general, and Java in particular. This is a Java program
allowing to discover the concepts of programming through interactive
exercises. The following lessons are included in this package:

 - Welcome: teach basics of Java to absolute beginners
 - Array: basic array traversal and research for beginners
 - Bat: basic boolean expression for beginners
 - Sort: classical sorting algorithms for intermediate
 - Recursion: classical logo algorithms for intermediate
 - Maze: classical maze escaping algorithms for intermediate
 - LightBot: little programming game for intermediate and advanced




Added blocking bug(s) of 622324: 613297 Request was from Nicolas Dandrimont <nicolas.dandrimont@crans.org> to control@bugs.debian.org. (Wed, 13 Apr 2011 19:03:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Quinson <mquinson@debian.org>:
Bug#622324; Package wnpp. (Thu, 08 Sep 2011 12:45:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Quinson <martin.quinson@loria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Martin Quinson <mquinson@debian.org>. (Thu, 08 Sep 2011 12:45:23 GMT) Full text and rfc822 format available.

Message #12 received at 622324@bugs.debian.org (full text, mbox):

From: Martin Quinson <martin.quinson@loria.fr>
To: 622324@bugs.debian.org
Cc: control@bugs.debian.org
Subject: switched from twitter to xmpp upstream
Date: Thu, 8 Sep 2011 14:42:55 +0200
package wnpp
unblock 622324 613297
block 622324 640873
thanks

as a upstream author of JLM, I switched my dependency on twitter4j for
a dependency on smack, which allows me to communicate in xmpp. The
good point is that there is a grave licensing issue in twitter4j that
makes it impossible to upload the package as is. The bad point is that
there is a small licensing matter in smack, which prevents me from
uploading it right now. But I'm confident that it will be easier to fix.

Bye, Mt.

-- 
There is no experimental demonstration of your theorem.
  -- Bastard Reviewer From Hell




Removed blocking bug(s) of 622324: 613297 Request was from Martin Quinson <martin.quinson@loria.fr> to control@bugs.debian.org. (Thu, 08 Sep 2011 13:09:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622324: 640873 Request was from Martin Quinson <martin.quinson@loria.fr> to control@bugs.debian.org. (Thu, 08 Sep 2011 13:09:15 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622324: 368931 Request was from Martin Quinson <martin.quinson@loria.fr> to control@bugs.debian.org. (Tue, 17 Jan 2012 05:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Quinson <mquinson@debian.org>:
Bug#622324; Package wnpp. (Tue, 17 Jan 2012 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Quinson <martin.quinson@loria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Martin Quinson <mquinson@debian.org>. (Tue, 17 Jan 2012 05:57:03 GMT) Full text and rfc822 format available.

Message #23 received at 622324@bugs.debian.org (full text, mbox):

From: Martin Quinson <martin.quinson@loria.fr>
To: 622324@bugs.debian.org
Subject: Packaging of JLM harder than expected
Date: Tue, 17 Jan 2012 06:52:03 +0100
Hello,

this is a status report on the packaging of JLM, so that the bug isn't
wrongly detected as dormant.

Things moved forward upstream, and as usual in Java, we added a bunch
of dependencies alongside. The unpackaged dependencies are now:

* twitter4j (ITP #613297): Java implementation of twitter 
  Unpackagable because of licensing issues.
  But this is an optional dependency that a debian patch could remove
* libsmack (ITP #640873): Easy to use Java XMPP client library
  waiting for the next upstream release that will fix a little
  licencing issue before uploading 
* JUNG (RFP #368931): Java Universal Network/Graph Framework
  That one is problematic: JLM really depends on it and it's not
  packaged yed. I don't feel like packaging it myself, it's too large
  for me. No idea of how I'll deal with it.
* Apache Http Components (no ITP/RFP yet?)
  This one is optional and could probably be cutted out (but it means
  that we won't post to either twitter nor identica from Debian)

So, JUNG is the real show stopper here :(

Bye, Mt.

-- 
Il ne faut pas confondre « La société m'opprime » et « le système m'étrique ».
          --- éphéméride du 19 juin




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Quinson <mquinson@debian.org>:
Bug#622324; Package wnpp. (Mon, 27 May 2013 13:37:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Martin Quinson <mquinson@debian.org>. (Mon, 27 May 2013 13:37:19 GMT) Full text and rfc822 format available.

Message #28 received at 622324@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 622324@bugs.debian.org
Cc: control@bugs.debian.org
Subject: jlm: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:16 +0200
retitle 622324 RFP: jlm -- Learning Management System for the Java programming language
noowner 622324
tag 622324 - pending
thanks

Hi,

This is an automatic email to change the status of jlm back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting jlm, please send a mail to
<control@bugs.debian.org> with:

 retitle 622324 ITP: jlm -- Learning Management System for the Java programming language
 owner 622324 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <622324@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: jlm -- Learning Management System for the Java programming language' from 'ITP: jlm -- Learning Management System for the Java programming language' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:04:18 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Martin Quinson <mquinson@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:04:19 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Jun 2013 08:06:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:01:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.